#
# spec file for package qgit
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           qgit
Version:        2.5
Release:        10.2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        Graphical Git Repository Viewer
License:        GPL-2.0+
Group:          Development/Tools/Version Control
Url:            http://sourceforge.net/projects/qgit
%define tar_version %version
Source:         http://libre.tibirna.org/attachments/download/9/qgit-%{tar_version}.tar.gz
Source1:        qgit4.desktop
BuildRequires:  libqt4-devel
BuildRequires:  update-desktop-files
Requires:       git-core >= 1.4.0

%description
QGit is a git GUI viewer built on Qt/C++.

With qgit you will be able to browse revisions history, view patch
content and changed files, graphically following different development
branches.

Features

View revisions, diffs, files history, files annotation, archive tree.

Commit changes visually cherry picking modified files.

Apply or format patch series from selected commits, drag and drop
commits between two instances of qgit.

Associate commands sequences, scripts and anything else executable to a
custom action. Actions can be run from menu and corresponding output is
grabbed by a terminal window.

qgit implements a GUI for the most common StGIT commands like push/pop
and apply/format patches. You can also create new patches or refresh
current top one using the same semantics of git commit,  i.e. cherry
picking single modified files.



%prep
%setup -q -n redivivus

%build
qmake QMAKE_CXXFLAGS="$RPM_OPT_FLAGS" QMAKE_STRIP=:
make %{?jobs:-j %jobs}

%install
make INSTALL_ROOT=$RPM_BUILD_ROOT install
install -D -m 644 %{SOURCE1} $RPM_BUILD_ROOT%_datadir/applications/qgit.desktop
%suse_update_desktop_file $RPM_BUILD_ROOT%_datadir/applications/qgit.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%_bindir/qgit
%_datadir/applications/*.desktop

%changelog
* Tue Jun  4 2013 dmueller@suse.com
- update to 2.5:
  * fixed sorting of tree-view
  * better support for dark GUI color schemes
  * fixed off-sync line numbers in the annotation file view
* Sun Sep 16 2012 schwab@linux-m68k.org
- Don't strip binaries
* Thu Dec  1 2011 dmueller@suse.de
- update to 2.4 (bnc#734180):
  * fix functionality losses with newer git releases
  * shortlog parsing fixes
  * display cleanups
* Wed Sep  9 2009 dmueller@suse.de
- update to 2.3:
  * mainly a manteinance release with added a new and
  better graph look
* Sat Apr  4 2009 dmueller@suse.de
- rediff patches
* Thu Jul 17 2008 dmueller@suse.de
- update to 2.2:
  * no changelog available
* Sat May 17 2008 schwab@suse.de
- Use RPM_OPT_FLAGS.
- Don't strip binaries.
* Mon Mar 10 2008 dmueller@suse.de
- udpate to 2.1:
  * Lots of fixes from 2.0, see detailed change log at
    http://git.kernel.org/?p=qgit/qgit4.git;a=shortlog
  * Speed improvements
* Mon Oct  8 2007 dmueller@suse.de
- update to 2.0:
  * Qt4 port, less security vulnerabilities
* Mon Oct  8 2007 dmueller@suse.de
- update to 1.5.7
* Sun Aug 12 2007 dmueller@suse.de
- update to 1.5.6
* Thu May 17 2007 dmueller@suse.de
- Update to 1.5.5
* Thu Jan 18 2007 bwalle@suse.de
- Update to 1.5.4
* Mon Nov 13 2006 mhopf@suse.de
- Update to 1.5.3
* Thu Jul 20 2006 mhopf@suse.de
- Initial commit (version 1.4)
